2

After upgrading to Civicrm 5.21 (it's now on 5.5.3) there is no longer a drop down for changing membership when Status override is enabled.

This was working on 4.7 but sadly after the upgrade it seems to be just static.

Here is the example from the documentation

Example

Any help much appreciated!

Update: So I fixed a JS error (maybe something with git, was in there as lower case). No fix for the drop down issue yet though..

  • 1
    Can you check if you have any javascript error on browser console? – Pradeep Nayak Oct 3 '18 at 9:26
  • The current version of CiviCRM is 5.5.3 and any version lower than 5.3.1 is insecure. – HomoTechsual Oct 3 '18 at 9:35
  • @PradeepNayak No JS errors and I'm aware it needs to be on 5.3.1 or newer ASAP. Could there be a missing permission? – EagleUK Oct 3 '18 at 11:09
  • Yes it does. Can you please upgrade it to latest version and check as its working at our end – Pradeep Nayak Oct 3 '18 at 12:18
  • 1
    Try changing the status override dropdown so that the status is selectable – Pradeep Nayak Oct 3 '18 at 13:05
1

When upgrading check all customised files include all the correct changes for your current version.

I was missing a section of code in the membership template.

| improve this answer | |
  • 1
    Oh - so tripped up by your own customisations? You should 'Accept' this answer and help close this off. – petednz - fuzion Oct 5 '18 at 23:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.